gitit

Network.Gitit.Page

Synopsis

- stringToPage :: Config -> String -> String -> Page
- pageToString :: Config -> Page -> String
- extractCategories :: String -> [String]

# Documentation

stringToPage :: Config -> String -> String -> Page

Read a string (the contents of a page file) and produce a Page object, using defaults except when overridden by metadata.

pageToString :: Config -> Page -> String

Write a string (the contents of a page file) corresponding to a Page object, using explicit metadata only when needed.

extractCategories :: String -> [String]